
public abstract class Class247 {

   static final int anInt2944 = 20;
   public volatile int anInt2945 = 0;
   byte aByte2946 = 0;
   static final int anInt2947 = 512;
   Class455 aClass455_2948 = new Class455();
   Class455 aClass455_2949 = new Class455();
   Class455 aClass455_2950 = new Class455();
   Class455 aClass455_2951 = new Class455();
   int anInt2952;
   RS2Buffer aClass225_Sub23_2953 = new RS2Buffer(10);
   static final int anInt2954 = 3;
   static final int anInt2955 = 50;
   public volatile int anInt2956 = 0;
   RS2Buffer aClass225_Sub23_2957 = new RS2Buffer(6);
   long aLong2958;
   Class225_Sub14_Sub14_Sub2 aClass225_Sub14_Sub14_Sub2_2959;


   Class225_Sub14_Sub14_Sub2 method4393(int var1, int var2, byte var3, boolean var4, byte var5) {
      long var6 = (long)var2 + ((long)var1 << 32);
      Class225_Sub14_Sub14_Sub2 var8 = new Class225_Sub14_Sub14_Sub2();
      var8.aLong8552 = -236081858295902311L * var6;
      var8.aByte10677 = var3;
      var8.aBool10561 = var4;
      if(var4) {
         if(this.method4429(-1425621956) >= 50) {
            throw new RuntimeException();
         }

         this.aClass455_2948.method7600(var8, 1572233310);
      } else {
         if(this.method4420(1691933247) >= 20) {
            throw new RuntimeException();
         }

         this.aClass455_2950.method7600(var8, 932406327);
      }

      return var8;
   }

   public boolean method4394(int var1) {
      return this.method4420(-1927347082) >= 20;
   }

   public boolean method4395(int var1) {
      return this.method4429(530590617) >= 50;
   }

   public abstract void method4396(int var1);

   public abstract void method4397(boolean var1);

   public boolean method4398() {
      return this.method4420(1769594981) >= 20;
   }

   public abstract boolean method4399(int var1);

   abstract void method4400();

   public abstract void method4401(boolean var1, byte var2);

   public boolean method4402() {
      return this.method4420(680960499) >= 20;
   }

   public abstract void method4403(byte var1);

   public abstract void method4404(int var1);

   public boolean method4405() {
      return this.method4420(1434266987) >= 20;
   }

   public abstract void method4406(Object var1, boolean var2);

   public boolean method4407() {
      return this.method4420(1688335288) >= 20;
   }

   public abstract void method4408(Object var1, boolean var2);

   int method4409() {
      return this.aClass455_2950.method7605(-437695831) + this.aClass455_2951.method7605(-1225653252);
   }

   public int method4410() {
      return this.aClass455_2948.method7605(-1817397168) + this.aClass455_2949.method7605(-1815099510);
   }

   public abstract void method4411(boolean var1);

   public abstract void method4412(Object var1, boolean var2, int var3);

   public abstract boolean method4413();

   public abstract boolean method4414();

   public abstract void method4415(Object var1, boolean var2);

   abstract void method4416();

   public abstract void method4417(Object var1, boolean var2);

   public abstract void method4418();

   public abstract void method4419(Object var1, boolean var2);

   int method4420(int var1) {
      return this.aClass455_2950.method7605(-1938584495) + this.aClass455_2951.method7605(-238002898);
   }

   public abstract void method4421(boolean var1);

   public abstract void method4422();

   public abstract void method4423();

   abstract void method4424(byte var1);

   public abstract void method4425();

   public abstract void method4426();

   public abstract void method4427();

   public abstract void method4428();

   public int method4429(int var1) {
      return this.aClass455_2948.method7605(-1119973969) + this.aClass455_2949.method7605(-1062209897);
   }

   public abstract void method4430();

   static final void method4431(Class508 var0, byte var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class357.method6414(var3, var4, var0, 449733010);
   }

   static final void method4432(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, -709451997);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class193.method3351(var3, var4, var0, (short)255);
   }

   static final void method4433(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class118_Sub1.aClass175_8204.method3061(var2, (byte)0);
   }

   static final void method4434(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub17_8491.method12946((byte)39);
   }

   static final void method4435(Class508 var0, byte var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[-937710807 * var0.anInt6003];
      int var3 = var0.anIntArray6027[1 + -937710807 * var0.anInt6003];
      if(var2 != -1) {
         if(var1 <= 1) {
            return;
         }

         if(var3 > 255) {
            if(var1 <= 1) {
               return;
            }

            var3 = 255;
         } else if(var3 < 0) {
            if(var1 <= 1) {
               return;
            }

            var3 = 0;
         }

         Class241.method4328(var2, var3, false, (byte)5);
      }

   }

   static final void method4436(Class508 var0, short var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 >= 255) {
            return;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class242.method4364(var3, var4, var0, (byte)-14);
   }
}
